import * as admin from 'firebase-admin';
import { Change, FirestoreEvent } from 'firebase-functions/v2/firestore';
import QueryDocumentSnapshot = admin.firestore.QueryDocumentSnapshot;
import DocumentSnapshot = admin.firestore.DocumentSnapshot;
import { BaseModel, CollectionPath, IDocumentTransformer, DocumentIds } from 'firestore-storage-core';
type ParsedChange<T, TIds> = {
    before: T | null;
    after: T | null;
    ids: TIds;
};
type ParsedSnapshot<T, TIds> = {
    data: T | null;
    ids: TIds;
};
export declare function parseFirestoreChange<T extends BaseModel, TCollPath extends CollectionPath<any, any, any>>(event: FirestoreEvent<Change<QueryDocumentSnapshot<T> | DocumentSnapshot<T>>>, path: TCollPath, transformer?: IDocumentTransformer<T>): ParsedChange<T, DocumentIds<TCollPath>>;
export declare function parseFirestoreCreate<T extends BaseModel, TCollPath extends CollectionPath<any, any, any>>(event: FirestoreEvent<QueryDocumentSnapshot<T>>, path: TCollPath, transformer?: IDocumentTransformer<T>): ParsedSnapshot<T, DocumentIds<TCollPath>>;
export {};
//# sourceMappingURL=utils.d.ts.map