"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseFirestoreCreate = exports.parseFirestoreChange = void 0;
const firestore_storage_core_1 = require("firestore-storage-core");
function parseFirestoreChange(event, path, transformer) {
    const ids = path.parse(event.document);
    transformer = transformer || firestore_storage_core_1.DEFAULT_DOCUMENT_TRANSFORMER;
    return {
        ids: ids,
        before: transform(event.data.before, transformer),
        after: transform(event.data.after, transformer),
    };
}
exports.parseFirestoreChange = parseFirestoreChange;
function parseFirestoreCreate(event, path, transformer) {
    const ids = path.parse(event.document);
    transformer = transformer || firestore_storage_core_1.DEFAULT_DOCUMENT_TRANSFORMER;
    return {
        ids: ids,
        data: transform(event.data, transformer),
    };
}
exports.parseFirestoreCreate = parseFirestoreCreate;
function transform(doc, transformer) {
    const d = doc.data();
    if (d) {
        return transformer.fromFirestoreToObject(d, {
            id: doc.id,
            rawPath: doc.ref.path,
        });
    }
    return null;
}
//# sourceMappingURL=utils.js.map